## visad.bom
Class ShadowCurveSetTypeJ3D

    java.lang.Object
      visad.ShadowType
          visad.java3d.ShadowTypeJ3D
              visad.java3d.ShadowFunctionOrSetTypeJ3D
                  visad.java3d.ShadowSetTypeJ3D
                      visad.bom.ShadowCurveSetTypeJ3D

All Implemented Interfaces:
  Serializable

public class ShadowCurveSetTypeJ3D
extends ShadowSetTypeJ3D

The ShadowCurveSetTypeJ3D class shadows the SetType class for CurveManipulationRendererJ3D, within a DataDisplayLink, under Java3D.

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
``

Fields inherited from class visad.java3d.ShadowTypeJ3D
``

Fields inherited from class visad.ShadowType
`LEGAL, METERS_PER_DEGREE, NESTED, NOTHING_MAPPED, SIMPLE_ANIMATE_FIELD, SIMPLE_FIELD, SIMPLE_TUPLE`

Constructor Summary
`ShadowCurveSetTypeJ3D(MathType t, DataDisplayLink link, ShadowType parent)` Construct a new ShadowCurveSetTypeJ3D.

Method Summary
`boolean` `doTransform(Object group, Data data, float[] value_array, float[] default_values, DataRenderer renderer)` Transform data into a Java3D scene graph.

Methods inherited from class visad.java3d.ShadowFunctionOrSetTypeJ3D
`addSwitch, addToGroup, addToSwitch, adjustZ, getDomain, getRange, getTextMaps, makeBranch, makeGeometrys, makeSwitch, makeVisADGeometrys, postProcess, preProcess, recurseRange, setTex3DCoords, setTexCoords, setTexStackCoords, texture3DToGroup, textureDepth, textureHeight, textureStackToGroup, textureToGroup, textureWidth, wantIndexed`

Methods inherited from class visad.java3d.ShadowTypeJ3D

`addLabelsToGroup, addTextToGroup, addToGroup, allowConstantColorSurfaces, assembleColor, assembleFlow, assembleSelect, assembleShape, assembleSpatial, checkIndices, ensureNotEmpty, ensureNotEmpty, getAdaptedParent, getAdaptedShadowType, getComponents, getData, getDisplay, getDisplayIndices, getLevelOfDifficulty, getMappedDisplayScalar, getMultipleDisplayScalar, getParentText, getParentTextControl, getType, getValueIndices, makeAppearance, makeContour, makeFlow, makePointGeometry, makeStreamline, makeText, mapValues, mapValues, mapValues, setText, staticMakeAppearance, terminalTupleOrScalar, toString`

Methods inherited from class visad.ShadowType

`adjustFlowToEarth, allowCurvedTexture, allowLinearContour, byteToFloat, floatToByte, getAdjustProjectionSeam, getAnyContour, getAnyFlow, getAnyShape, getAnyText, getComponentIndex, getComponentWithRef, getCurvedTexture, getDefaultColorIndex, getIsLinearContour3D, getIsTerminal, getIsTexture3D, getIsTextureMap, getLink, getMultipleSpatialDisplayScalar, getRefToComponent, makePointGeometry, makeSpatialSet, recurseComponent, terminalTupleOrScalar`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShadowCurveSetTypeJ3D

    public ShadowCurveSetTypeJ3D(MathType t,
                                 DataDisplayLink link,
                                 ShadowType parent)
                          throws VisADException,
                                 RemoteException

  Construct a new ShadowCurveSetTypeJ3D.

Parameters:
  `t` - MathType of data (must be a SetType)
  `link` - DataDisplayLink to DataReference
  `parent` - parent ShadowType.
Throws:
  `VisADException` - problem creating ShadowType
  `RemoteException` - problem with remote object creation.

Method Detail

### doTransform

    public boolean doTransform(Object group,
                               Data data,
                               float[] value_array,
                               float[] default_values,
                               DataRenderer renderer)
                        throws VisADException,
                               RemoteException

  Transform data into a Java3D scene graph.

  Overrides:
    `doTransform` in class `ShadowFunctionOrSetTypeJ3D`
  Parameters:
    `group` - group to add generated scene graph components (children) to
    `value_array` - inherited valueArray values;
    `default_values` - defaults for each display.DisplayRealTypeVector;
  Returns:
    true if need to post-process
  Throws:
    `VisADException` - illegal data or some other VisAD error
    `RemoteException` - illegal data or some other remote error